/**
 * AskedButUnknown.java
 *
 * File generated from the medication::AskedButUnknown uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration AskedButUnknown.
 *
 * 
 */

@XmlType(name = "AskedButUnknown")
@XmlEnum
@XmlRootElement(name = "AskedButUnknown")
public enum AskedButUnknown {
	@XmlEnumValue("ASKU")
	ASKU("ASKU"),
	@XmlEnumValue("NAV")
	NAV("NAV");
	
	private final String value;

    AskedButUnknown(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static AskedButUnknown fromValue(String v) {
        for (AskedButUnknown c: AskedButUnknown.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}